Subject: [dispatch] Video, from glass to glass Fwd: I-D Action: draft-deen-daigle-ggie-01.txt

From: "Leslie Daigle" <[email-masked]>
Date: Thu, 30 Jun 2016 16:52:21 -0400

Hi,

Glenn (cc’ed) and I have asked for some time on the DISPATCH agenda to 
talk through the Glass to Glass Internet Ecosystem work that has been 
touched on at the W3C and that we’ve been discussing in corridors for 
a couple of IETF meetings now.

Please see below for the announcement of the updated GGIE overview 
Internet-Draft:  draft-deen-daigle-ggie-01.txt .   Depending on how much 
the typo in the title destroys my sleep, there may shortly be an -02 :^) 
.  There is a companion Internet-Draft that will be submitted next week 
that details the proposed “media encoding network” for MPEG-DASH.

 From the BoF description we submitted:

     Description: Video is without rival the top use of Internet 
bandwidth, and its ever growing demand for more bandwidth easily out 
paces the new capacity being added both globally and regionally with no 
let up in sight.

     The Glass to Glass Internet Ecosystem (GGIE) approach posits that 
streamed content delivery can be viewed like a composed flow combining 
many parts with playback composed of one or more component streams from 
one or more addresses to one or more devices over one or more networks.

	We have identified 3 high level gaps that are relevant at the IETF:

     How applications identify, search for & refer to content
     How devices locate and address video sources
     How application level identifiers & network level identifiers are 
mapped to one another

On the whole, this work potentially spans several areas within the IETF 
— Applications (realtime or general infrastructure) and Routing.  
We’re chiefly looking for feedback and input to chisel out approaches 
specific IETF work items and appropriate paths to pursue them.

There will also be a demo of some of the “media encoded 
network”-based video delivery at Bits & Bites in Berlin.

Feedback appreciated.

Leslie (and Glenn).

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises LLC
[email-masked]
-------------------------------------------------------------------
Forwarded message:

> From: [email-masked]
> To: [email-masked]
> Subject: I-D Action: draft-deen-daigle-ggie-01.txt
> Date: Thu, 30 Jun 2016 13:19:32 -0700
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
>
>
>         Title           : Glass to Glass Internet Ecosysten 
> Introduction
>         Authors         : Glenn Deen
>                           Leslie Daigle
> 	Filename        : draft-deen-daigle-ggie-01.txt
> 	Pages           : 21
> 	Date            : 2016-06-30
>
> Abstract:
>    This document introduces the Glass to Glass Internet Ecosystem
>    (GGIE).  GGIE's purpose is to improve how the Internet is used 
> create
>    and consume video, both amateur and professional, reflecting that 
> the
>    line between amateur and professional video technology is
>    increasingly blurred.  Glass to Glass refers to the entire video
>    ecosystem, from the camera lens to the viewing screen.  As the name
>    implies, GGIE's scope is the entire video ecosystem from capture,
>    through the steps of editing, packaging, distributed and searching,
>    and finally viewing.  GGIE is not a complete end to end 
> architecture
>    or solution, it provides foundational elements that can serve as
>    building blocks for new Internet video innovation.
>
>    This is a companion effort to the GGIE W3C Taskforce in the W3C Web
>    and TV Interest Group.
>
>    This document is being discussed on the [email-masked] mailing list.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-deen-daigle-ggie/
>
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-deen-daigle-ggie-01
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-deen-daigle-ggie-01
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt